Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 870988 - dev-util/global-6.6.4 - configure: error: POSIX.1-2008 realpath(3) is required.
Summary: dev-util/global-6.6.4 - configure: error: POSIX.1-2008 realpath(3) is required.
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Naohiro Aota
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: clang-16-porting
  Show dependency tree
 
Reported: 2022-09-17 19:39 UTC by Toralf Förster
Modified: 2022-10-03 00:38 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,18.61 KB, text/plain)
2022-09-17 19:39 UTC, Toralf Förster
Details
dev-util:global-6.6.4:20220917-175818.log (dev-util:global-6.6.4:20220917-175818.log,10.39 KB, text/plain)
2022-09-17 19:39 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,144.47 KB, text/plain)
2022-09-17 19:39 UTC, Toralf Förster
Details
environment (environment,83.73 KB, text/plain)
2022-09-17 19:39 UTC, Toralf Förster
Details
etc.portage.tar.bz2 (etc.portage.tar.bz2,13.18 KB, application/x-bzip)
2022-09-17 19:39 UTC, Toralf Förster
Details
logs.tar.bz2 (logs.tar.bz2,11.10 KB, application/x-bzip)
2022-09-17 19:39 UTC, Toralf Förster
Details
temp.tar.bz2 (temp.tar.bz2,27.46 KB, application/x-bzip)
2022-09-17 19:39 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2022-09-17 19:39:46 UTC
checking for sys/resource.h... yes
checking for dirent.h that defines DIR... yes
checking for library containing opendir... none required
checking whether POSIX.1-2008 realpath is equipped... no
configure: error: POSIX.1-2008 realpath(3) is required.

!!! Please attach the following file when seeking support:

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_hardened-j4-20220916-040004

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.3.1
 [2] x86_64-pc-linux-gnu-12.2.0 *
clang/llvm (if any):
clang version 15.0.0
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/15/bin
/usr/lib/llvm/15
15.0.0
Python 3.10.7
Available Ruby profiles:
  [1]   ruby27 (with Rubygems)
  [2]   ruby31 (with Rubygems) *
Available Rust versions:
  [1]   rust-bin-1.63.0 *
The following VMs are available for generation-2:
*)	Eclipse Temurin JDK 17.0.4.1_p1 [openjdk-bin-17]
2)	Eclipse Temurin JDK 8.345_p01 [openjdk-bin-8]
Available Java Virtual Machines:
  [1]   openjdk-bin-8 
  [2]   openjdk-bin-17  system-vm

The Glorious Glasgow Haskell Compilation System, version 9.0.2
php cli (if any):
GNU Make 4.3.90

  HEAD of ::gentoo
commit b52426ab59140c6df4176918b769845ddbc714c4
Author: Repository mirror & CI <repomirrorci@gentoo.org>
Date:   Sat Sep 17 17:46:47 2022 +0000

    2022-09-17 17:46:47 UTC

emerge -qpvO dev-util/global
[ebuild  N    ] dev-util/global-6.6.4  USE="-doc -emacs -vim"
Comment 1 Toralf Förster gentoo-dev 2022-09-17 19:39:47 UTC
Created attachment 809029 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2022-09-17 19:39:48 UTC
Created attachment 809032 [details]
dev-util:global-6.6.4:20220917-175818.log
Comment 3 Toralf Förster gentoo-dev 2022-09-17 19:39:49 UTC
Created attachment 809035 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2022-09-17 19:39:51 UTC
Created attachment 809038 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2022-09-17 19:39:52 UTC
Created attachment 809041 [details]
etc.portage.tar.bz2
Comment 6 Toralf Förster gentoo-dev 2022-09-17 19:39:53 UTC
Created attachment 809044 [details]
logs.tar.bz2
Comment 7 Toralf Förster gentoo-dev 2022-09-17 19:39:54 UTC
Created attachment 809047 [details]
temp.tar.bz2
Comment 8 Larry the Git Cow gentoo-dev 2022-10-03 00:38:19 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7aade44ba5794c724a4220949d76455f4c1db1d6

commit 7aade44ba5794c724a4220949d76455f4c1db1d6
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2022-10-02 22:35:31 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2022-10-03 00:38:09 +0000

    dev-util/global: fix build with Clang 16
    
    Closes: https://bugs.gentoo.org/870988
    Signed-off-by: Sam James <sam@gentoo.org>

 .../files/global-6.6.4-Fix-build-with-Clang-16.patch  | 19 +++++++++++++++++++
 dev-util/global/global-6.6.4.ebuild                   |  3 ++-
 2 files changed, 21 insertions(+), 1 deletion(-)